# Uses of Class
java.util.DoubleSummaryStatistics

Packages that use DoubleSummaryStatistics
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of DoubleSummaryStatistics in java.util

Methods in java.util with parameters of type DoubleSummaryStatistics
Modifier and Type
Method
Description
`void`
DoubleSummaryStatistics.`combine(DoubleSummaryStatistics other)`
Combines the state of another `DoubleSummaryStatistics` into this one.

## Uses of DoubleSummaryStatistics in java.util.stream

Methods in java.util.stream that return DoubleSummaryStatistics
Modifier and Type
Method
Description
`DoubleSummaryStatistics`
DoubleStream.`summaryStatistics()`
Returns a `DoubleSummaryStatistics` describing various summary data about the elements of this stream.
Methods in java.util.stream that return types with arguments of type DoubleSummaryStatistics
Modifier and Type
Method
Description
`static <T> Collector<T,?,DoubleSummaryStatistics>`
Collectors.`summarizingDouble(ToDoubleFunction<? super T> mapper)`
Returns a `Collector` which applies an `double`-producing mapping function to each input element, and returns summary statistics for the resulting values.